﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;

namespace ClearCache
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                Console.WriteLine("Attempting to delete directory of cache...");
                Directory.Delete(Environment.ExpandEnvironmentVariables("%HOMEDRIVE%") + "\\SessionDataPath\\Cache", true);
            }
            catch (Exception ex)
            {
                Console.WriteLine("Couldn't clear cache. Make sure this utility is run with administrative priviliges." + Environment.NewLine + ex);
                Console.ForegroundColor = ConsoleColor.Red;
                Console.BackgroundColor = ConsoleColor.Black;
                Console.WriteLine("Press any key to relaunch Interlight...");
                Console.ReadLine();
            }
            try
            {
                Console.WriteLine("Relaunching Interlight...");
                System.Diagnostics.Process.Start("Interlight.exe");
            }
            catch
            {
                Console.WriteLine("Couldn't relaunch Interlight.");
                Console.ReadLine();
            }
        }
    }
}
