﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Interlight_Updater
{
    public partial class Form1 : Form
    {
        System.Net.WebClient client = new System.Net.WebClient();

        public Form1()
        {
            InitializeComponent();

            client.DownloadProgressChanged += client_DownloadProgressChanged;
            client.DownloadFileCompleted += client_DownloadFileCompleted;
            try
            {
                client.DownloadFileAsync(new Uri("http://www.mobilemp.net/Interlight/setup.exe"), "setup.exe");
                details.Text = "Downloading the update files...";
            }
            catch
            {
                MessageBox.Show("Downloading failed.");
                client.CancelAsync();
                Environment.Exit(0);
            }
        }

        void client_DownloadFileCompleted(object sender, AsyncCompletedEventArgs e)
        {
            button2.BringToFront();
            details.Text = "Update files downloaded successfully. Click 'Update' to begin installing.";
        }

        void client_DownloadProgressChanged(object sender, System.Net.DownloadProgressChangedEventArgs e)
        {
            pb.Value = e.ProgressPercentage;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                client.CancelAsync();
            }
            catch { }
            Environment.Exit(0);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            try
            {
                System.Diagnostics.Process.Start("setup.exe");
                Environment.Exit(0);
            }
            catch
            {
                MessageBox.Show("To update Interlight, you must let the installer run in administrative mode!", "Error");
            }
        }

        private void InterlightUpdater_FormClosing(object sender, FormClosingEventArgs e)
        {
            client.CancelAsync();
        }
    }
}
