﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Net;
using System.IO;
using System.Diagnostics;

namespace Interlight
{
    static class Program
    {
        delegate void SetTextCallback(string text);
        /// <summary>
        /// The main entry point for the application.
        /// </summary>

        [STAThread]
        static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            Form1 frm = new Form1(args);
            frm.Show();

            System.Threading.Thread thr = new System.Threading.Thread(cfuMtd);
            thr.Start();

            Application.Run();
        }

        private static void cfuMtd()
        {
            try
            {
                WebRequest request = WebRequest.Create("http://www.mobilemp.net/Interlight/version.html");
                WebResponse response = request.GetResponse();
                StreamReader reader = new StreamReader(response.GetResponseStream());
                String data = reader.ReadToEnd();
                settings st = new settings();
                reader.Close();
                response.Close();

                if (data != st.version)
                {
                    //It's out of date!
                    DialogResult result = MessageBox.Show("Interlight is out of date. Would you like to update to the newest version?", "Update available", MessageBoxButtons.YesNo);
                    if (result == DialogResult.Yes)
                    {
                        try
                        {
                            ProcessStartInfo processInfo = new ProcessStartInfo();
                            processInfo.Verb = "runas";
                            processInfo.FileName = "Interlight Updater.exe";
                            Process.Start(processInfo);
                            Environment.Exit(0);
                        }
                        catch
                        {

                        }
                    }
                }
            }
            catch
            {
            }
        }
    }
}
