﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Interlight
{
    public partial class textViewer : Form
    {
        public textViewer()
        {
            InitializeComponent();
        }

        public void loadText(String title, String body)
        {
            if (body != "document")
            {
                richTextBox1.Text = body;
                this.Text = title;
            }
            else
            {
                try
                {
                    StreamReader reader = new StreamReader("copyright.txt");
                    String data = reader.ReadToEnd();
                    richTextBox1.Text = data;
                    this.Text = title;
                }
                catch
                {
                    MessageBox.Show("Copyright document is missing. Please reinstall Interlight to see the License and Copyright document.");
                }
            }
        }

        private void richTextBox1_LinkClicked(object sender, LinkClickedEventArgs e)
        {
            string[] args = { e.LinkText };
            Form1 frm = new Form1(args);
            frm.Show();
        }

        public void turnWrapOff()
        {
            richTextBox1.WordWrap = false;
            richTextBox1.ScrollBars = RichTextBoxScrollBars.Both;
        }

        SaveFileDialog sfd = new SaveFileDialog();
        private void saveToolStripMenuItem_Click(object sender, EventArgs e)
        {
            sfd.FileName = this.Text.Substring(14);
            sfd.Filter = "Text File|*.txt|All Files|*.*";
            sfd.ShowDialog();
        }

        private void textViewer_Load(object sender, EventArgs e)
        {
            sfd.FileOk += sfd_FileOk;
        }

        void sfd_FileOk(object sender, CancelEventArgs e)
        {
            using (StreamWriter writer = new StreamWriter(sfd.FileName))
            {
                writer.Write(richTextBox1.Text);
                writer.Close();
            }
        }
    }
}
